<%- include('./partials/header')%>
<%- include('./partials/file-start') %>
<h1><%= title %></h1>
<table id="competitions" class="table table-striped table-bordered w-100">
    <thead>
        <tr style="text-align: center; ">
            <th>Název</th>
            <th>Datum</th>
            <th>Kategorie</th>
        </tr>
    </thead>
</table>
<%- include('./partials/dataTables')%>
<%- include('./partials/moment')%>
<script>
    $(document).ready(function () {
        API.competition
            .list({
                league: '<%= req.params.leagueId %>'
            })
            .done((dataFromServer) => {
                $('table#competitions').DataTable({
                    language: {
                        url: '/js/dataTables/myCzech.json'
                    },
                    order: [[1, "asc"]],
                    responsive: true,
                    data: dataFromServer,
                    columns: [
                        {
                            data: 'name'
                        }, {
                            data: 'date',
                            mRender: function (date) {
                                return moment(date).format('YYYY-MM-DD HH:mm')
                            }
                        }, {
                            data: null,
                            fnCreatedCell: function (nTd, sData, oData, iRow, iCol) {
                                $(nTd).html('')
                                for (let i = 0; i < oData.categories.length; i++) {
                                    $(nTd).append(
                                        $('<a>', { href: `/results/${oData._id}/${oData.categories[i]._id}`, class: `m-1 ${oData.categories[i].name.includes('Ž') ? 'text-pink' : oData.categories[i].name.includes('Veterán') ? 'text-danger' : oData.categories[i].name.includes('Junio') ? 'text-success' : ''}` }).text(oData.categories[i].name)
                                    )
                                }
                            }
                        }
                    ],
                })
            })
    })
</script>
<%- include('./partials/footer') %>
<%- include('./partials/file-end') %>